#
# spec file for package ntp2chrony
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ntp2chrony
Version:        0.0+git20180405.9824262
Release:        bp155.2.9
Summary:        ntpd configuration converter for chrony
License:        GPL-2.0-or-later
Group:          Productivity/Networking/Other
Url:            https://github.com/mlichvar/ntp2chrony
Source:         ntp2chrony-%{version}.tar.xz
Source1:        README.packaging.txt
Patch:          python3.patch
BuildArch:      noarch

%description
A script that converts the ntpd configuration file to a chrony configuration
file. Since both tools are not feature identical, not everything can
be converted. Such configuration options will be ignored.

%prep
%setup -q
%patch -p0

%build

%install
mkdir -p %{buildroot}%{_sbindir}
install -m 755 ntp2chrony.py %{buildroot}%{_sbindir}/ntp2chrony

%files
%license COPYING
%{_sbindir}/ntp2chrony

%changelog
* Mon Jul 30 2018 jengelh@inai.de
- Fix grammar in descriptions.
* Wed Jun 13 2018 kukuk@suse.de
- Initial version 0.0+git20180405.9824262:
  * remove last empty line in chrony.conf
  * add disabled hwtimestamp directive to chrony.conf
  * include comment in chrony.keys even if it has no keys
  * always enable keyfile
  * use specified keyfile in chrony.conf
  * check local stratum for sanity
  * fix local stratum with orphan option
  * remove logfile directive
  * fix SELinux context of output files
  * use same encoding for output as input
  * add compatibility with python2
  * fix scrubbing of crypto password
  * don't allow command access for restrictions with ignore option
  * handle noserve restrict option
